### Signal

# Soup Message::content-sniffed

#### Declaration

    void
    content_sniffed (
      SoupMessage* self,
      gchar* type,
      GHashTable* params,
      gpointer user_data
    )

#### Description [src]

This signal is emitted after `SoupMessage::got-headers`.

If content sniffing is disabled, or no content sniffing will be performed, due to the sniffer deciding to trust the Content-Type sent by the server, this signal is emitted immediately after `SoupMessage::got-headers`, and `type` is `NULL`.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`type`

  Type: `gchar*`

  The content type that we got from sniffing.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`params`

  Type: `GHashTable`

  A `GHashTable` with the parameters.

  The data is owned by the caller of the function.